package hideandseek.disguise;

import hideandseek.xseries.XMaterial;
import de.robingrether.idisguise.disguise.DisguiseType;
import de.robingrether.idisguise.disguise.Disguise;
import de.robingrether.idisguise.disguise.FallingBlockDisguise;
import org.bukkit.inventory.ItemStack;
import org.bukkit.entity.Player;
import org.bukkit.Bukkit;
import de.robingrether.idisguise.api.DisguiseAPI;

public class iDisguise extends DisguiseManager
{
    private final DisguiseAPI api;
    
    public iDisguise() {
        this.api = (DisguiseAPI)Bukkit.getServicesManager().getRegistration((Class)DisguiseAPI.class).getProvider();
    }
    
    @Override
    public void disguise(final Player var1, final ItemStack var2) {
        final FallingBlockDisguise var3 = new FallingBlockDisguise(var2.getType());
        this.api.disguise(var1, (Disguise)var3);
    }
    
    @Override
    public void disguise(final Player var1, final String var2) {
        final Disguise var3 = DisguiseType.valueOf(var2).newInstance();
        this.api.disguise(var1, var3);
    }
    
    @Override
    public void undisguise(final Player var1) {
        this.api.undisguise(var1);
    }
    
    @Override
    public boolean valid() {
        try {
            new FallingBlockDisguise(XMaterial.GRASS_BLOCK.parseMaterial());
            return true;
        }
        catch (final Exception var2) {
            var2.printStackTrace();
            return false;
        }
    }
    
    @Override
    public String getName() {
        return "IDisguise";
    }
}
